Bug 1445397 - GET in KerberosSession.finalize_kerberos_acquisition() must use FreeIPA CA
Summary: GET in KerberosSession.finalize_kerberos_acquisition() must use FreeIPA CA
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Ganna Kaihorodova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 15:02 UTC by Petr Vobornik
Modified: 2017-08-01 09:50 UTC (History)
5 users (show)

Fixed In Version: ipa-4.5.0-10.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:50:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
FreeIPA installation with external CA (14.88 KB, text/plain)
2017-06-05 13:26 UTC, Ganna Kaihorodova
no flags Details
screenshot for webUI (82.51 KB, image/png)
2017-06-05 13:28 UTC, Ganna Kaihorodova
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Description Petr Vobornik 2017-04-25 15:02:12 UTC
Cloned from upstream: https://pagure.io/freeipa/issue/6876

```KerberosSession.finalize_kerberos_acquisition()``` uses ```requests``` to interact with IPA. The ```request.get()``` call performs a HTTP GET over HTTPS but fails to use FreeIPA's private CA file.

Comment 2 Petr Vobornik 2017-04-25 15:02:29 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6876

Comment 3 Petr Vobornik 2017-04-25 15:11:44 UTC
Http code performed by this call doesn't use CA certificate/certificate store with full certificate chain of IPA server. So it might happen that in case that IPA is installed with externally signed CA certificate, the call can fail because of certificate validation and e.g. prevent session acquisition. 

If it will fail for sure is not known - the use case was not discovered, but it is faster and safer to fix preemptively.

Comment 8 Ganna Kaihorodova 2017-06-05 13:26:53 UTC
Created attachment 1285053 [details]
FreeIPA installation with external CA

Comment 9 Ganna Kaihorodova 2017-06-05 13:28:47 UTC
Created attachment 1285054 [details]
screenshot for webUI

Comment 10 errata-xmlrpc 2017-08-01 09:50:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.